Get all speaker details
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/speakers \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/speakers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "/{apiEndpoint}?page=3",
"current": "/{apiEndpoint}?page=2",
"previous": "/{apiEndpoint}?page=1"
},
"data": [
{
"kind": "<string>",
"url": "<string>",
"id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"speakerOrder": 123,
"profile": {
"firstName": "Alice",
"lastName": "Smith",
"bio": "<p>Alice is a <strong>renowned expert</strong>...</p>",
"company": "Tech Innovators Inc.",
"designation": "Chief Technology Officer",
"headline": "Visionary Leader in Tech",
"picUrl": "https://example.com/speakers/alice.jpg"
},
"socialLinks": {
"linkedInProfile": "https://linkedin.com/in/alicesmith",
"twitterProfile": "https://twitter.com/alicesmith",
"facebookProfile": "https://facebook.com/alicesmith",
"websiteUrl": "https://alicesmith.com"
},
"sessions": [
{
"sessionId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
"url": "/api/v1/events/evt-abc123xyz/sessions/seg-123432"
}
],
"externalRefId": "d812a64f8865428990249a120792c3d8"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Speakers
Get all speaker details
Use this endpoint to retrieve the details of all speakers added to a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response.
Required API key scopes: READ
GET
/
v1
/
events
/
{eventId}
/
speakers
Get all speaker details
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Query Parameters
Filter query in format:
Available filters:
- profile.company: operations [like]
Sort query in format:
The following fields are sortable:
- speakerOrder
- profile.firstName
Page number (default: 1)
Page size (default: 10, max: 100)
Was this page helpful?
⌘I